from selenium import webdriver
from selenium.webdriver.common.by import By
from selenium.webdriver.common.keys import Keys
from selenium.webdriver.chrome.service import Service as ChromeService

import time
from webdriver_manager.chrome import ChromeDriverManager

URL = "http://70.34.252.177/"

USERNAME_XPATH = '//*[@id="username"]'
PASSWORD_XPATH = '//*[@id="password"]'

LOGIN_XPATH = '/html/body/div/div[1]/form/div[5]/button'
LOGOUT_XPATH = '//*[@id="logout-button"]'

driver = webdriver.Chrome(service=ChromeService(ChromeDriverManager().install()))
driver.get(URL)

time.sleep(1)

username_input = driver.find_element(By.XPATH, USERNAME_XPATH)
username_input.send_keys('Peter.Petrovský')

password_input = driver.find_element(By.XPATH, PASSWORD_XPATH)
password_input.send_keys('password')

login_button = driver.find_element(By.XPATH, LOGIN_XPATH)
login_button.click()

time.sleep(1)

logout_button = driver.find_element(By.XPATH, LOGOUT_XPATH)
logout_button.click()

driver.quit()